@ECHO off
SETLOCAL EnableDelayedExpansion

IF EXIST "%USERPROFILE%\Impostazioni locali\Dati applicazioni" (
	SET lang=ita
	SET apploc=%USERPROFILE%\Impostazioni locali\Dati applicazioni\Google\Chrome\Application
) ELSE IF EXIST "%USERPROFILE%\Local Settings\Application Data" (
	SET lang=eng
	SET apploc=%USERPROFILE%\Local Settings\Application Data\Google\Chrome\Application
) ELSE (
	echo Unsupported Operating System Language, try to modify this batch file
	GOTO end
)

IF %lang%==ita (
	echo Chrome Windows XP buttons patch (Rev B)
	echo by Daniele "Wergio" Vergini www.wergio.com
	echo Questo programma rileva automaticamente l'ultima versione di Chrome installata sul pc e modifica i file necessari per visualizzare i classici bottoni di Windows XP anche sulla status bar di Chrome. Per funzionare richiede l'utility Resource Hacker installata sul PC. Ultimo test effettuato su Chrome 4.0.249.30
) ELSE (
	echo Chrome Windows XP buttons patch (Rev B)
	echo by Daniele "Wergio" Vergini www.wergio.com
	echo This program automatically detects the latest version of Chrome installed on the PC and modifies the file necessary to have classic Windows XP buttons on the Chrome's status bar. This program needs Resource Hacker to be installed on the PC. Latest test done on Chrome 4.0.249.30
)

pause

SET reshackpath=%PROGRAMFILES%\ResHack\

IF NOT EXIST "%reshackpath%ResHacker.exe" (
	IF %lang%==ita (
		echo Non trovo ResHacker.exe in %reshackpath% mettilo li
	) ELSE (
		echo ResHacker.exe not found in %reshackpath% place it there
	)
	GOTO end
)


IF NOT EXIST "%apploc%" (
	IF %lang%==ita (
		echo Non trovo l'installazione di Chrome in %apploc%
	) ELSE (
		echo Chrome installation not found in %apploc%
	)
	GOTO end
)

SET v1=0
SET v2=0
SET v3=0
SET v4=0

FOR /F "delims=" %%a IN ('dir "%apploc%" /AD /od /b /tc') DO (
	::echo %%a
	FOR /F "tokens=1-4 delims=." %%b IN ("%%a") DO ( 
		::echo %%b %%c %%d %%e
		IF "%%e" NEQ "" CALL :checkver %%b %%c %%d %%e
	)
)


SET dllpath=%apploc%\%v1%.%v2%.%v3%.%v4%\
SET dllname=chrome.dll

IF NOT EXIST "%dllpath%%dllname%" (
	IF %lang%==ita (
		echo Non trovo il file del tema di Chrome in %dllpath%%dllname%
	) ELSE (
		echo Chrome theme file not found in %dllpath%%dllname%
	)
	GOTO end
)

IF %lang%==ita (
	echo Sto per patchare %dllpath%%dllname% assicurarsi che tutte le istanze di Chrome siano chiuse o la patch non funzionera
) ELSE (
	echo About to patch %dllpath%%dllname% close any chrome instance or it will not work
)

pause
copy *.png "%dllpath%"
cd %dllpath%
IF %lang%==ita (
	echo Sto patchando %dllname% con Resource Hacker
) ELSE (
	echo Patching %dllname% with Resource Hacker
)
echo patching %dllpath%%dllname% > patchlog.log

"%reshackpath%ResHacker.exe" -addoverwrite %dllname%, %dllname%, close.png, BINDATA, 10568,
type "%reshackpath%ResHacker.log" >> patchlog.log
"%reshackpath%ResHacker.exe" -addoverwrite %dllname%, %dllname%, close_l.png, BINDATA, 10569,
type "%reshackpath%ResHacker.log" >> patchlog.log
"%reshackpath%ResHacker.exe" -addoverwrite %dllname%, %dllname%, close_l.png, BINDATA, 10570,
type "%reshackpath%ResHacker.log" >> patchlog.log
"%reshackpath%ResHacker.exe" -addoverwrite %dllname%, %dllname%, close.png, BINDATA, 10571,
type "%reshackpath%ResHacker.log" >> patchlog.log
"%reshackpath%ResHacker.exe" -addoverwrite %dllname%, %dllname%, close_l.png, BINDATA, 10572,
type "%reshackpath%ResHacker.log" >> patchlog.log
"%reshackpath%ResHacker.exe" -addoverwrite %dllname%, %dllname%, close_l.png, BINDATA, 10573,
type "%reshackpath%ResHacker.log" >> patchlog.log
"%reshackpath%ResHacker.exe" -addoverwrite %dllname%, %dllname%, max.png, BINDATA, 10574,
type "%reshackpath%ResHacker.log" >> patchlog.log
"%reshackpath%ResHacker.exe" -addoverwrite %dllname%, %dllname%, max_l.png, BINDATA, 10575,
type "%reshackpath%ResHacker.log" >> patchlog.log
"%reshackpath%ResHacker.exe" -addoverwrite %dllname%, %dllname%, max.png, BINDATA, 10576,
type "%reshackpath%ResHacker.log" >> patchlog.log
"%reshackpath%ResHacker.exe" -addoverwrite %dllname%, %dllname%, max2.png, BINDATA, 10577,
type "%reshackpath%ResHacker.log" >> patchlog.log
"%reshackpath%ResHacker.exe" -addoverwrite %dllname%, %dllname%, max2_l.png, BINDATA, 10578,
type "%reshackpath%ResHacker.log" >> patchlog.log
"%reshackpath%ResHacker.exe" -addoverwrite %dllname%, %dllname%, max2.png, BINDATA, 10579,
type "%reshackpath%ResHacker.log" >> patchlog.log
"%reshackpath%ResHacker.exe" -addoverwrite %dllname%, %dllname%, min.png, BINDATA, 10580,
type "%reshackpath%ResHacker.log" >> patchlog.log
"%reshackpath%ResHacker.exe" -addoverwrite %dllname%, %dllname%, min_l.png, BINDATA, 10581,
type "%reshackpath%ResHacker.log" >> patchlog.log
"%reshackpath%ResHacker.exe" -addoverwrite %dllname%, %dllname%, min.png, BINDATA, 10582,
type "%reshackpath%ResHacker.log" >> patchlog.log

IF %lang%==ita (
	echo fatto, puoi lanciare Chrome
) ELSE (
	echo done, you can launch Chrome
)

pause

GOTO end

:checkver
::echo ---
::echo parametri %1 %2 %3 %4
::echo attuale maggiore %v1% %v2% %v3% %v4%

IF %1 GTR %v1% ( 
	SET v1=%1
	SET v2=%2
	SET v3=%3
	SET v4=%4
	::echo vince %1.%2.%3.%4 al passo 1
	GOTO :eof
)
IF %1 EQU %v1% (
	IF %2 GTR %v2% (
		SET v1=%1
		SET v2=%2
		SET v3=%3
		SET v4=%4
		::echo vince %1.%2.%3.%4 al passo 2
		GOTO :eof
	)
	IF %2 EQU %v2% (
		IF %3 GTR %v3% (
			SET v1=%1
			SET v2=%2
			SET v3=%3
			SET v4=%4
			::echo vince %1.%2.%3.%4 al passo 3
			GOTO :eof
		)
		IF %3 EQU %v3% (
			IF %4 GTR %v4% (
				SET v1=%1
				SET v2=%2
				SET v3=%3
				SET v4=%4
				::echo vince %1.%2.%3.%4 al passo 4
				GOTO :eof
			)
		)
	)
)
GOTO :eof

:chromenotfound


:end
ENDLOCAL